%kmdl bbswitch

Summary: Automatically disable/enable discrete graphics cards
Name: bbswitch
Version: 0.8
Release: 5%{?dist}
License: GPLv3+
Group: System Environment/Kernel
URL: https://github.com/Bumblebee-Project/bbswitch
#Source0: https://github.com/downloads/Bumblebee-Project/bbswitch/%{name}-%{version}.tar.gz
Source0: https://github.com/Bumblebee-Project/bbswitch/archive/v%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
bbswitch is a kernel module which automatically detects the required ACPI calls
for two kinds of Optimus laptops. It has been verified to work with "real"
Optimus and "legacy" Optimus laptops (at least, that is how I call them). The
machines on which these tests has performed are:

- Clevo B7130 - GT 425M ("real" Optimus, Lekensteyns laptop)
- Dell Vostro 3500 - GT 310M ("legacy" Optimus, Samsagax' laptop)

(note: there is no need to add more supported laptops here as the universal
calls should work for every laptop model supporting either Optimus calls)

It's preferred over manually hacking with the acpi_call module because it can
detect the correct handle preceding _DSM and has some built-in safeguards:

- You're not allowed to disable a card if a driver (nouveau, nvidia) is loaded.
- Before suspend, the card is automatically enabled. When resuming, it's
  disabled again if that was the case before suspending. Hibernation should
  work, but it not tested.

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}.
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q

%build
%kmdl_config
%if %{kmdl_userland}

%else

#make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules
make -C %{kmdl_kernelsrcdir} M=`pwd` modules

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

%else

#make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules_install
mkdir -p %{buildroot}%{kmdl_moduledir}/misc/bbswitch
install -m 0755 bbswitch.ko %{buildroot}%{kmdl_moduledir}/misc/bbswitch/

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README.md

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}

%endif

%changelog
* Sun Mar  9 2014 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8-5
- Update to 0.8.

* Sat Aug  3 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7-4
- Update to 0.7.

* Wed Jan 30 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.5-1
- Initial build.

